import cv2, os
from lobe import ImageModel

cap = cv2.VideoCapture(0)
cap.set(3,640) # set Width
cap.set(4,480) # set Height
green=(0,255,0)
path = '/home/pi/Lobe'

print("Loading model...")
model = ImageModel.load('/home/pi/Lobe/model')
path = '/home/pi/Lobe'

while(True):
    ret, frame = cap.read()
    cv2. imwrite(os. path. join(path , 'camimage.jpg'), frame)
    result = model.predict_from_file('/home/pi/Lobe/camimage.jpg')
    cv2.putText(frame,result.prediction,(30,30), cv2.FONT_HERSHEY_SIMPLEX, 1,green,2)
    cv2.imshow('press "q" to quit', frame)
    print(result)
    key = cv2.waitKey(1) & 0xFF
    if key == ord("q"):
        print("bye...")
        break

cap.release()
cv2.destroyAllWindows()